dnl ---------------------------------------------------------------------------
dnl Check CDT library and header files
dnl ---------------------------------------------------------------------------
AC_DEFUN([MH_CHECK_CDT],
[
ISAMINC="isam.h"
ISAMLIB1=""
ISAMLIB2=""
ISAMLIB3=""
ISAMLIB4=""
mh_isam_lib_files="librxcdt.${SHL} or librxcdt.a or rxcdt.lib"
mh_isam_inc_dir=""
mh_isam_lib_dir=""
mh_isam_name="C/Database Toolchest"
AC_MSG_CHECKING(location of CDT header and library files)
if test "$with_isamincdir" = no; then
	AC_MSG_ERROR(you MUST specify directory where $ISAMINC resides using --with-isamincdir=)
else
	if test -f "$with_isamincdir/$ISAMINC"; then
		MH_ISAM_INC="-I${with_isamincdir}"
		mh_isam_inc_dir="$with_isamincdir"
	else
		AC_MSG_ERROR($ISAMINC not found in $with_isamincdir)
	fi
fi

if test "$with_isamlibdir" = no; then
	AC_MSG_ERROR(you MUST specify directory where $mh_isam_lib_files resides using --with-isamlibdir=)
else
	if test -f "$with_isamlibdir/libisam.${SHL}" -o -f "$with_isamlibdir/libisam.a" -o -f "$with_isamlibdir/isam.lib"; then
		MH_ISAM_LIB="-L${with_isamlibdir} -lisam -lcbt"
		mh_isam_lib_dir="$with_isamlibdir"
	else
		AC_MSG_ERROR($mh_isam_lib_files not found in $with_isamlibdir)
	fi
fi
AC_MSG_RESULT(found)
])dnl

dnl ---------------------------------------------------------------------------
dnl Check CODEBASE library and header files
dnl ---------------------------------------------------------------------------
AC_DEFUN([MH_CHECK_CODEBASE],
[
ISAMINC="isam.h"
ISAMLIB1=""
ISAMLIB2=""
ISAMLIB3=""
ISAMLIB4=""
mh_isam_lib_files="librxcodebase.${SHL} or librxcodebase.a or rxcodebase.lib"
mh_isam_inc_dir=""
mh_isam_lib_dir=""
mh_isam_name="C/Database Toolchest"
AC_MSG_CHECKING(location of the CodeBase header and library files)
if test "$with_isamincdir" = no; then
	AC_MSG_ERROR(you MUST specify directory where $ISAMINC resides using --with-isamincdir=)
else
	if test -f "$with_isamincdir/$ISAMINC"; then
		MH_ISAM_INC="-I${with_isamincdir}"
		mh_isam_inc_dir="$with_isamincdir"
	else
		AC_MSG_ERROR($ISAMINC not found in $with_isamincdir)
	fi
fi

if test "$with_isamlibdir" = no; then
	AC_MSG_ERROR(you MUST specify directory where $mh_isam_lib_files resides using --with-isamlibdir=)
else
	if test -f "$with_isamlibdir/lib???.${SHL}" -o -f "$with_isamlibdir/lib???.a" -o -f "$with_isamlibdir/???.lib"; then
		MH_ISAM_LIB="-L${with_isamlibdir} -l??? -l???"
		mh_isam_lib_dir="$with_isamlibdir"
	else
		AC_MSG_ERROR($mh_isam_lib_files not found in $with_isamlibdir)
	fi
fi
AC_MSG_RESULT(found)
])dnl

dnl ---------------------------------------------------------------------------
dnl Check CTREE library and header files
dnl ---------------------------------------------------------------------------
AC_DEFUN([MH_CHECK_CTREE],
[
ISAMINC="isam.h"
ISAMLIB1=""
ISAMLIB2=""
ISAMLIB3=""
ISAMLIB4=""
mh_isam_lib_files="librxctree.${SHL} or librxctree.a or rxctree.lib"
mh_isam_inc_dir=""
mh_isam_lib_dir=""
mh_isam_name="c-tree"
AC_MSG_CHECKING(location of c-tree header and library files)
if test "$with_isamincdir" = no; then
	AC_MSG_ERROR(you MUST specify directory where $ISAMINC resides using --with-isamincdir=)
else
	if test -f "$with_isamincdir/$ISAMINC"; then
		MH_ISAM_INC="-I${with_isamincdir}"
		mh_isam_inc_dir="$with_isamincdir"
	else
		AC_MSG_ERROR($ISAMINC not found in $with_isamincdir)
	fi
fi

if test "$with_isamlibdir" = no; then
	AC_MSG_ERROR(you MUST specify directory where $mh_isam_lib_files resides using --with-isamlibdir=)
else
	if test -f "$with_isamlibdir/lib???.${SHL}" -o -f "$with_isamlibdir/lib???.a" -o -f "$with_isamlibdir/???.lib"; then
		MH_ISAM_LIB="-L${with_isamlibdir} -l??? -l???"
		mh_isam_lib_dir="$with_isamlibdir"
	else
		AC_MSG_ERROR($mh_isam_lib_files not found in $with_isamlibdir)
	fi
fi
AC_MSG_RESULT(found)
])dnl

dnl ---------------------------------------------------------------------------
dnl Setup all Makefile variables
dnl ---------------------------------------------------------------------------
AC_DEFUN([MH_SETUP_MAKEFILE],
[
case "$isamtouse" in
	dist)
;;
	cdt)
		DBH="cdt"
		DBC="cdt"
		LDB="cdt"
		BDB="CDT"
		SDB=""
		MH_CHECK_CDT
		;;
	codebase)
		DBH="codebase"
		DBC="codebase"
		LDB="codebase"
		BDB="CODEBASE"
		SDB=""
		MH_CHECK_CODEBASE
		;;
	ctree)
		DBH="ctree"
		DBC="ctree"
		LDB="ctree"
		BDB="CTREE"
		SDB=""
		MH_CHECK_CTREE
		;;
	*)
		AC_MSG_ERROR("No ISAM package specified to be configured. Use one of: --with-cdt")
		;;
esac
AC_SUBST(DBH)
AC_SUBST(DEFS)
AC_SUBST(DBC)
AC_SUBST(LDB)
AC_SUBST(BDB)
AC_SUBST(SDB)
AC_SUBST(MH_ISAM_LIB)
AC_SUBST(MH_ISAM_INC)
AC_SUBST(ISAMLIB1)
AC_SUBST(ISAMLIB2)
AC_SUBST(ISAMLIB3)
AC_SUBST(ISAMLIB4)
])dnl

dnl
dnl include our own common routines
dnl
sinclude(common/accommon.m4)dnl
